このページはAIにより自動翻訳されており、不正確な内容が含まれている可能性があります。翻訳の誤りを報告するには、ページ右側の目次の下にあるフィードバックをご利用ください。
Content Blocksの情報を見る
get
/content_blocks/info
このエンドポイントを使用して、既存のContent Blocksの情報を呼び出します。
前提条件
このエンドポイントを使用するには、content_blocks.info 権限を持つAPIキーが必要です。
レート制限
APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。
リクエストパラメーター
| パラメーター | 必須 | データタイプ | 説明 |
|---|---|---|---|
content_block_id |
必須 | 文字列 | コンテンツブロックの識別子。 これは、APIコールでコンテンツブロックの情報をリストアップするか、APIキーページに移動し、一番下までスクロールしてコンテンツブロックのAPI識別子を検索することで見つけることができます。 |
include_inclusion_data |
オプション | ブール値 | true に設定された場合、APIはこのコンテンツブロックが含まれるキャンペーンおよびキャンバスのメッセージバリエーションAPI識別子を返し、以降の呼び出しで使用できるようにします。結果には、アーカイブまたは削除されたキャンペーンやキャンバスは含まれません。 |
リクエスト例
1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/content_blocks/info?content_block_id={{content_block_id}}&include_inclusion_data=false' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
応答
1
2
3
4
5
6
7
8
9
10
11
12
13
{
"content_block_id": (string) the Content Block identifier,
"name": (string) the name of the Content Block,
"content": (string) the content in the Content Block,
"description": (string) the Content Block description,
"content_type": (string) the content type, html or text,
"tags": (array) An array of tags formatted as strings,
"created_at": (string) The time the Content Block was created in ISO 8601,
"last_edited": (string) The time the Content Block was last edited in ISO 8601,
"inclusion_count" : (integer) the inclusion count,
"inclusion_data": (array) the inclusion data,
"message": "success"
}
トラブルシューティング
次のテーブルに、返される可能性のあるエラーと、関連するトラブルシューティングステップを示します。
| エラー | トラブルシューティング |
|---|---|
Content Block ID cannot be blank |
コンテンツブロックがリクエストにリストされ、引用符("")で囲まれていることを確認してください。 |
Content Block ID is invalid for this workspace |
このコンテンツブロックは存在しないか、別の会社アカウントまたはワークスペースにあります。 |
Content Block has been deleted—content not available |
このコンテンツブロックは、以前は存在していた可能性がありますが、削除されています。 |
Include Inclusion Data—error |
このパラメーターはブール値(true または false)のみを受け付けます。include_inclusion_data の値が引用符("")で囲まれていないことを確認してください。囲まれている場合、値は文字列として送信されます。詳細については、リクエストパラメーターを参照してください。 |
New Stuff!